> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a sync

> Call to run a sync for a given source type. Assumes that a connection is already created.



## OpenAPI

````yaml post /api/connect/run-sync
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/run-sync:
    post:
      tags:
        - graphite-connect
      summary: Trigger a sync
      description: >-
        Call to run a sync for a given source type. Assumes that a connection is
        already created.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunSyncBody'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunSyncResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    RunSyncBody:
      type: object
      properties:
        source_type:
          type: string
          enum:
            - zendesk_support
            - notion
            - confluence
            - shopify
            - gitbook
      required:
        - source_type
    RunSyncResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````